tvbrowser.ui.settings

## Class TraySoonSettingsTab

- java.lang.Object
- - tvbrowser.ui.settings.TraySoonSettingsTab

- All Implemented Interfaces:
    SettingsTab

      public class TraySoonSettingsTab
      extends java.lang.Object
      implements SettingsTab

  The settings tab for the SOON_TYPE of the ProgramMenuItem.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraySoonSettingsTab()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JPanel` | `createSettingsPanel()` Creates the settings panel for this tab.
    `javax.swing.Icon` | `getIcon()` Returns the icon of the tab-sheet.
    `java.lang.String` | `getTitle()` Returns the title of the tab-sheet.
    `void` | `saveSettings()` Called by the host-application, if the user wants to save the settings.
    `protected static void` | `setTrayIsEnabled(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraySoonSettingsTab

          public TraySoonSettingsTab()

  - ### Method Detail

    - #### createSettingsPanel

          public javax.swing.JPanel createSettingsPanel()

      Description copied from interface: `SettingsTab`
      Creates the settings panel for this tab.
      Specified by:
        `createSettingsPanel` in interface `SettingsTab`

    - #### saveSettings

          public void saveSettings()

      Description copied from interface: `SettingsTab`
      Called by the host-application, if the user wants to save the settings.
      Specified by:
        `saveSettings` in interface `SettingsTab`

    - #### getIcon

          public javax.swing.Icon getIcon()

      Description copied from interface: `SettingsTab`
      Returns the icon of the tab-sheet.
      For plugins the plugin icon is used if this method returns null.
      Specified by:
        `getIcon` in interface `SettingsTab`

    - #### getTitle

          public java.lang.String getTitle()

      Description copied from interface: `SettingsTab`
      Returns the title of the tab-sheet.
      For plugins the return value of this method is ignored since version 2.7
      Specified by:
        `getTitle` in interface `SettingsTab`

    - #### setTrayIsEnabled

          protected static void setTrayIsEnabled(boolean value)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)